%define name sabnzb
%define version 1.0.0
%define release %mkrel 1

Summary:   SABnzbd is an Open Source Binary Newsreader written in Python
Name:      %{name}   
Version:   %{version}
Release:   %{release}
Group:     Networking/News
License:   GPLv3+
URL:       http://www.sabnzbd.org/
Source0:   SABnzbd-%{version}-src.tar.xz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch
Requires:  parchive2
Requires:  par2cmdline
Requires:  python-OpenSSL
Requires:  python-cheetah
Requires:  python-cherrypy
Requires:  python-feedparser
Requires:  python-yenc
Requires:  unzip



%description
SABnzbd is an Open Source Binary Newsreader written in Python. Fully automatic Binary Newsgrabber. 
Supports multiple Operating Systems. Server-oriented using a web-interface. 


%prep
%setup -q -n SABnzbd-%{version}

%build
# Create translation files
python tools/make_mo.py

%install
rm -rf $RPM_BUILD_ROOT

#launcher
mkdir -p %buildroot%_bindir/
cat > %buildroot%_bindir/%{name} << EOF
#!/bin/sh
cd %_datadir/%{name}/
python SABnzbd.py $*
EOF
chmod +x %{buildroot}%{_bindir}/%{name}

#data
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -r {interfaces,sabnzbd,locale,cherrypy,*.py,tools,icons,email,gntp,util,po} \
$RPM_BUILD_ROOT%{_datadir}/%{name}


#chmod 644 Sample-PostProc.sh

# menu-entry
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=SABnzbd
Type=Application
Terminal=false
Comment=SABnzbd Binary Newsreader 
Exec=%{name}
Icon=/usr/share/icons/large/news_section.png
Categories=GTK;Network;X-MandrivaLinux-Internet-News;
EOF


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc *.txt licenses
%_bindir/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop

%changelog
* Tue Oct 18 2016 adrianomorselli <adrianomorselli> 1.0.0-1uplos2016
- rebuild

* Tue Apr 19 2016 bb <bb> 1.0.0-1pclos2016
- update

* Sun Mar 01 2015 pinoc <vogtpet at gmail.com> 0.7.20-1pclos2015
- 0.7.20

* Sun Aug 10 2014 pinoc <vogtpet at gmail.com> 0.7.18-1pclos2014
- 0.7.18
- added make translation files

* Mon Jan 28 2013 Ken <lxgator@gmail.com> 0.7.9-1pclos2013
- 0.7.9

* Fri Sep 24 2010 Texstar <texstar at gmail.com> 0.5.4-1pclos2010
- 0.5.4

* Sat Feb 27 2010 slick50 <lxgator@gmail.com> 0.5.0-1pclos2010
- initial pkg
